org.eclnt.jsfserver.defaultscreens

## Class ImageSelection.MyRow

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.FIXGRIDItem
  - - org.eclnt.jsfserver.defaultscreens.ImageSelection.MyRow

- All Implemented Interfaces:
    java.io.Serializable, IFIXGRIDItem
  Enclosing class:
    ImageSelection

      public class ImageSelection.MyRow
      extends FIXGRIDItem
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.eclnt.jsfserver.elements.impl.FIXGRIDItem

      `ROWHEIGHT_DEFAULT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MyRow()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getIcon1()`
    `java.lang.String` | `getIcon2()`
    `java.lang.String` | `getIcon3()`
    `java.lang.String` | `getIcon4()`
    `void` | `onIcon1(ActionEvent ae)`
    `void` | `onIcon2(ActionEvent ae)`
    `void` | `onIcon3(ActionEvent ae)`
    `void` | `onIcon4(ActionEvent ae)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.FIXGRIDItem

      `assignRowComponent, checkIfCellIsHighlighted, checkIfCellsAreHighlighted, getChangeIndex, getHighlightedCells, getRequestFocus, getRowHeight, getSelected, highlightCell, onRowDeselect, onRowDrop, onRowExecute, onRowPopupMenuItem, onRowPopupMenuLoad, onRowSelect, requestFocus, setRowHeight, setSelected, unhighlightAllCells, unhighlightCell, unrequestFocus`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MyRow

          public MyRow()

  - ### Method Detail

    - #### getIcon1

          public java.lang.String getIcon1()

    - #### getIcon2

          public java.lang.String getIcon2()

    - #### getIcon3

          public java.lang.String getIcon3()

    - #### getIcon4

          public java.lang.String getIcon4()

    - #### onIcon1

          public void onIcon1(ActionEvent ae)

    - #### onIcon2

          public void onIcon2(ActionEvent ae)

    - #### onIcon3

          public void onIcon3(ActionEvent ae)

    - #### onIcon4

          public void onIcon4(ActionEvent ae)

Copyright © CaptainCasa Gmbh. All Rights Reserved.